;;; xslide-startup-script.el --- Startup code for xslide mode

;; Copyright (C) 2004  Free Software Foundation, Inc.

;; Author: Alex Ott <ottalex@narod.ru>
;; Keywords: wp, extensions, hypermedia

(add-to-list 'load-path "/usr/share/emacs/site-lisp/xslide")

;; load xsl-mode 
(autoload 'xsl-mode "xslide" "Major mode for XSL stylesheets." t)
(setq auto-mode-alist
			(append
			 (list
				'("\\.fo$" . xsl-mode)
				'("\\.xsl$" . xsl-mode))
			 auto-mode-alist))

;; Turn on font lock when in XSL mode
(add-hook 'xsl-mode-hook
					(turn-on-font-lock)
					(abbrev-mode t))

;;; xslide-startup-script.el ends here
